%global pypi_name pathspec
%global commitId 7ca27e2300ced6364a3816820eb2532c89c7d01c

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:          python%{?component_prefix}-%{pypi_name}
Version:       0.9.0
Release:       1%{?dist}
Summary:       pathspec: Path Specification

License:       MPLv2.0
URL:           https://github.com/cpburnz/python-path-specification
Source0:       python-pathspec-7ca27e2300ced6364a3816820eb2532c89c7d01c.tar.gz
BuildArch:     noarch

BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-rpm-macros
BuildRequires: python%{python3_pkgversion}-setuptools >= 39.2.0

%description
pathspec is a utility library for pattern matching of file paths. So far this
only includes Git's wildmatch pattern matching which itself is derived from
Rsync's wildmatch. Git uses wildmatch for its gitignore files.

%package -n python%{python3_pkgversion}-%{pypi_name}

Summary:       pathspec: Path Specification

%description -n python%{python3_pkgversion}-%{pypi_name}
pathspec is a utility library for pattern matching of file paths. So far this
only includes Git's wildmatch pattern matching which itself is derived from
Rsync's wildmatch. Git uses wildmatch for its gitignore files.

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%license LICENSE
%doc CHANGES.rst README.rst

%changelog
* Fri Mar 18 2022 Dimitri Savineau <dsavinea@redhat.com> - 0.9.0-1
- Initial package
